module.exports = function (options) {
    var createContentTypeHeader = function(req, res){
        res.header('X-Content-Type-Options','nosniff');
    };

    return {
        content_type_header: function(req, res, next){
            createContentTypeHeader(req, res);
            next();
        },
        all: function(req, res, next){
            createContentTypeHeader(req, res);
            next();
        }
    };
};
